Skip to content

Prepare the companion RIPS — Health invoices

POST/api/v1/workspaces/{workspaceId}/health-invoices/{invoiceId}/rips-package

Operation ID: healthInvoices.prepareRipsPackage · Access: PAT with send scope and authorized workspace where applicable · Effect: external.

Read the health invoices workflow before this operation.

Name In Required Type / allowed values
workspaceId path Yes string
invoiceId path Yes string
idempotency-key header No string
HTTP Content Schema
200 application/json RipsPackage
201 application/json RipsPackage
400 application/json ApiError
401 application/json ApiError
403 application/json ApiError
404 application/json ApiError
409 application/json ApiError
422 application/json ApiError
428 application/json ApiError
500 application/json ApiError
502 application/json ApiError

Use error.code, error.issues, and requestId for JSON errors. Error and recovery guide.

Set the connection variables from the quickstart. Set each path variable to an authorized identifier or an allowed parameter value from the table above.

Terminal window
curl --fail-with-body --request POST \
"$RIPSCLOUD_BASE_URL/api/v1/workspaces/$WORKSPACE_ID/health-invoices/$INVOICE_ID/rips-package" \
--header "Authorization: Bearer $RIPSCLOUD_TOKEN" \
--header 'Accept: application/json'